Ubuntu

I can't write a cd

Reported by hendrikwout on 2007-10-04
308
This bug affects 45 people
Affects Status Importance Assigned to Milestone
PyWodim
Confirmed
Undecided
Unassigned
Ubuntu
Undecided
Unassigned
cdrkit (Ubuntu)
Undecided
Unassigned

Bug Description

If you see any of the symptoms of the various outputs in the comments the solution is as follows:

"You are not using cdrecord but a defective fork called "wodim".

wodim is a dead fork from a 5 year old version of cdrecord with
bugs added that never have been in the original.

The device or resource busy message is a result from such a bug.

Note that you also do not use mkisofs but "genisoimage" from the
same "fork". Note that "genisoimage" creates defective ISO filesystem
images.

I recommend to use the original software as there are no known bugs
in the original software and as the original software added many new
features during the past 6 years."

Get the real program:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

http://cdrecord.berlios.de

or as a ubuntu package from:

https://launchpad.net/~brandonsnider/+archive/cdrtools/+packages

===========================================================================================================
Hi,

After my upgrade from feisty to gutsy on my imac g3 , I tried to burn a cd with k3b (tried normal and clone mode) and gnomebaker, which didn't work. I'm using an external usb disc writer. K3B has the following debug info:

System
-----------------------
K3b Version: 1.0.3

KDE Version: 3.5.7
QT Version: 3.3.7
Kernel: 2.6.22-12-powerpc
Devices
-----------------------
MATSHITA CD-ROM CR-1760 ZA0E (/dev/hdb, ) [CD-ROM] [Fout] [Geen]

MATSHITA CD-RW CW-7586 1.01 (/dev/scd0, ) [CD-R, CD-RW, CD-ROM] [Fout] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R]
Used versions
-----------------------
cdrecord: 1.1.6

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Device type : Removable CD-ROM
Version : 0
Response Format: 1
Vendor_info : 'MATSHITA'
Identification : 'CD-RW CW-7586 '
Revision : '1.01'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC SWABAUDIO
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1467648 = 1433 KB
FIFO size : 12582912 = 12288 KB
Encoding speed : 131x (9799 sectors/s) for libedc from Heiko Eißfeldt
Speed set to 1411 KB/s
Track 01: data 724 MB
Total size: 696 MB (69:00.41) = 310531 sectors
Lout start: 696 MB (69:02/31) = 310531 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 6
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type C, low Beta category (C-) (6)
  ATIP start of lead in: -11231 (97:32/19)
  ATIP start of lead out: 359846 (79:59/71)
Disk type: Short strategy type (Phthalocyanine or similar)
Manuf. index: 27
Manufacturer: Prodisc Technology Inc.
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 49315
Starting to write CD/DVD at speed 8.0 in real RAW/RAW96R mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds.
 Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
/usr/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11231 from ATIP
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 FF FF D4 21 00 00 1A 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 2C 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x2C Qual 0x00 (command sequence error) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.005s timeout 40s
/usr/bin/wodim: Could not write Lead-in.
Writing lead-in at sector -11231
write leadin data: error after 0 bytes
Writing time: 3.621s
/usr/bin/wodim: fifo had 192 puts and 0 gets.
/usr/bin/wodim: fifo was 0 times empty and 0 times full, min fill was 100%.

cdrecord command:
-----------------------
/usr/bin/wodim -v gracetime=2 dev=/dev/scd0 speed=8 -raw96r -clone /home/henne/Desktop/k3b_0.img

Daniel Hahler (blueyed) wrote :

This looks like a problem with wodim, excerpt:
-----
/usr/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11231 from ATIP
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
...
/usr/bin/wodim: Could not write Lead-in.
Writing lead-in at sector -11231
-----

sector -11231 seems strange..?!

hendrikwout (hendrikwout) wrote :

mmmmm, seems I can write at speed 2 and 4, but not at 8. Allthough k3b etc. report that my writing can write up to 8 speed. It seems that the default is 8 speed but that one doesn't work and gives an error message like the one above.

dibl (donbnfborn) wrote :
Download full text (4.4 KiB)

Same error, ASUS DRW-1608P3S drive, worked great in Feisty. Kubuntu 7.10, 64-bit, generic kernel. Debug output:

K3b Version: 1.0.3

KDE Version: 3.5.8
QT Version: 3.3.7
Kernel: 2.6.22-14-generic
Devices
-----------------------
ASUS DRW-1608P3S 1.24 (/dev/scd0, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL] [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite, Layer Jump]

Used versions
-----------------------
cdrecord: 1.1.6

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'ASUS '
Identification : 'DRW-1608P3S '
Revision : '1.24'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009 (CD-R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x001B (DVD+R)
Profile: 0x001A (DVD+RW)
Profile: 0x0016 (DVD-R/DL layer jump recording)
Profile: 0x0015 (DVD-R/DL sequential recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x0012 (DVD-RAM)
Profile: 0x0002 (Removable disk)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0010 (DVD-ROM)
Profile: 0x000A (CD-RW)
Profile: 0x0009 (CD-R) (current)
Profile: 0x0008 (CD-ROM)
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1267712 = 1238 KB
FIFO size : 12582912 = 12288 KB
Track 01: data 697 MB
Total size: 800 MB (79:19.17) = 356938 sectors
Lout start: 800 MB (79:21/13) = 356938 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 5
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type A, high Beta category (A+) (3)
  ATIP start of lead in: -11634 (97:26/66)
  ATIP start of lead out: 359846 (79:59/71)
Disk type: Short strategy type (Phthalocyanine or similar)
Manuf. index: 3
Manufacturer: CMC Magnetics Corporation
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 2908
Starting to write CD/DVD at speed 40.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
Speed set to 7056 KB/s
   1 seconds.
   0 seconds.
 Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
Sending CUE sheet...
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 FF FF FF 89 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0E 00 00 00 00 3...

Read more...

William F Pearson (wfpearson) wrote :
Download full text (4.4 KiB)

I can confirm this bug. Here is my output.

System
-----------------------
K3b Version: 1.0.3

KDE Version: 3.5.8
QT Version: 3.3.7
Kernel: 2.6.22-14-generic
Devices
-----------------------
HL-DT-ST CDRW/DVD GCCH10N C101 (/dev/scd0, ) [CD-R, CD-RW, CD-ROM, DVD-ROM] [DVD-ROM, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R]

K3bIsoImager
-----------------------
mkisofs print size result: 190232 (389595136 bytes)
Pipe throughput: 34816 bytes read, 34816 bytes written.

Used versions
-----------------------
mkisofs: 1.1.6
cdrecord: 1.1.6

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'HL-DT-ST'
Identification : 'CDRW/DVD GCCH10N'
Revision : 'C101'
Device seems to be: Generic mmc2 DVD-ROM.
Current: 0x0009 (CD-R)
Profile: 0x000A (CD-RW)
Profile: 0x0009 (CD-R) (current)
Profile: 0x0008 (CD-ROM)
Profile: 0x0010 (DVD-ROM)
Profile: 0x002B (DVD+R/DL)
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC-2 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1266496 = 1236 KB
FIFO size : 12582912 = 12288 KB
Speed set to 8450 KB/s
Track 01: data 371 MB
Total size: 426 MB (42:16.42) = 190232 sectors
Lout start: 427 MB (42:18/32) = 190232 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 4
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type A, low Beta category (A-) (2)
  ATIP start of lead in: -12508 (97:15/17)
  ATIP start of lead out: 359845 (79:59/70)
Disk type: Short strategy type (Phthalocyanine or similar)
Manuf. index: 22
Manufacturer: Ritek Co.
Blocks total: 359845 Blocks current: 359845 Blocks remaining: 169613
Starting to write CD/DVD at speed 48.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
/usr/bin/wodim: Caught interrupt.
Waiting for reader process to fill input buffer ... BURN-Free was never needed.
/usr/bin/wodim: fifo had 0 puts and 0 gets.
/usr/bin/wodim: fifo was 1 times empty and 0 times full, min fill was 0%.

cdrecord command:
-----------------------
/usr/bin/wodim -v gracetime=2 dev=/dev/scd0 speed=48 -dao driveropts=burnfree -eject -data -tsize=190232s -

mkisofs
-----------------------
190232
I: -input-charset not specified, using utf-8 (detected in locale settings)
Size of boot image is 4 sectors -> Emulating a hard disk
/usr/bin/genisoimage: Warning: boot image '/tmp/kde-wpearson/k3b8QFlab.tmp' MBR is not a boot sector.
Warning: partition not marked active.
Warning: partition does not start at 0/1/1.
Warning: image size does not match...

Read more...

johnnyc (johnpaulcampbell) wrote :
Download full text (4.4 KiB)

I have the same problem. None of the cd burning applications manage to burn successfully. I have also upgraded from Feisty to Gutsy. Here is the output from k3b:

System
-----------------------
K3b Version: 1.0.3

KDE Version: 3.5.8
QT Version: 3.3.7
Kernel: 2.6.22-14-generic
Devices
-----------------------
LG CD-RW CED-8080B 1.20 (/dev/scd1, ) [CD-R, CD-RW, CD-ROM] [Error] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R]

PIONEER DVD-ROM DVD-115 1.24 (/dev/scd0, ) [CD-ROM, DVD-ROM] [DVD-ROM, CD-ROM] [None]
Used versions
-----------------------
cdrecord: 1.1.6

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
scsidev: '/dev/scd1'
devname: '/dev/scd1'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
Text len: 576
TOC Type: 0 = CD-DA
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'LG '
Identification : 'CD-RW CED-8080B '
Revision : '1.20'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC SWABAUDIO
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1024000 = 1000 KB
Drive DMA Speed: 93495 kB/s 531x CD 67x DVD
FIFO size : 12582912 = 12288 KB
Encoding speed : 153x (11416 sectors/s) for libedc from Heiko Eißfeldt
pregap1: -1
Track 01: audio 22 MB (02:12.28) no preemp
Track 02: audio 29 MB (02:54.72) no preemp pregapsize: 0
Track 03: audio 36 MB (03:38.97) no preemp pregapsize: 0
Track 04: audio 27 MB (02:42.21) no preemp pregapsize: 0
Track 05: audio 39 MB (03:52.46) no preemp pregapsize: 0
Track 06: audio 40 MB (03:59.66) no preemp pregapsize: 0
Track 07: audio 37 MB (03:41.28) no preemp pregapsize: 0
Track 08: audio 22 MB (02:14.33) no preemp pregapsize: 0
Track 09: audio 40 MB (03:59.82) no preemp pregapsize: 0
Track 10: audio 23 MB (02:18.40) no preemp pregapsize: 0
Track 11: audio 51 MB (05:04.73) no preemp pregapsize: 0
Total size: 369 MB (36:38.89) = 164917 sectors
Lout start: 370 MB (36:40/67) = 164917 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 5
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type A, high Beta category (A+) (3)
Speed set to 1411 KB/s
  ATIP start of lead in: -11634 (97:26/66)
  ATIP start of lead out: 359846 (79:59/71)
Disk type: Short strategy type (Phthalocyanine or similar)
Manuf. index: 3
Manufacturer: CMC Magnetics Corporation
Blocks total: 359846 Blocks current: 359846 Blocks remaining: 194929
Starting to write CD/DVD at speed 8.0 in dummy RAW/RAW96R mode for single session.
Last chance to quit, starting dummy write in 2 seconds.
   1 seconds.
   0 seconds.
 Operation starts.
/usr/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11634 from ATIP
Errno: 5 (Input/output error), write_g1 sc...

Read more...

glepore70 (greg-rhobard) wrote :

I had the same error, however, I was able to successfully burn a CD by reducing the burn speed to 4x.

Łukasz Nowak (theqkash) wrote :
Download full text (17.5 KiB)

System
-----------------------
K3b Version: 1.0.4

KDE Version: 3.5.8
QT Version: 3.3.7
Kernel: 2.6.22-14-generic
Devices
-----------------------
BENQ DVD LS DW1655 BCIB (/dev/scd0, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R dwuwarstwowa, DVD+R, DVD+RW, DVD+R dwuwarstwowa] [DVD-ROM, DVD-R sekwencyjna, DVD-R dwuwarstwowa sekwencyjna, DVD+R dwuwarstwowa, DVD-RW w trybie ograniczonego zastępowania, DVD-RW sekwencyjny, DVD+RW, DVD+R, DVD+R dwuwarstwowa, CD-ROM, CD-R, CD-RW] [Sesja naraz (SAO), TAO, RAW, SAO/R96R, Surowe/R16, Surowe/R96R, Ograniczone zastępowanie, Przeskok warstwy]

Used versions
-----------------------
cdrecord: 1.1.6

cdrecord
-----------------------
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'BENQ '
Identification : 'DVD LS DW1655 '
Revision : 'BCIB'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009 (CD-R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x001B (DVD+R)
Profile: 0x001A (DVD+RW)
Profile: 0x0016 (DVD-R/DL layer jump recording)
Profile: 0x0015 (DVD-R/DL sequential recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0010 (DVD-ROM)
Profile: 0x000A (CD-RW)
Profile: 0x0009 (CD-R) (current)
Profile: 0x0008 (CD-ROM)
Profile: 0xFFFF ()
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96R RAW/R16 RAW/R96R
Drive buf size : 1073152 = 1048 KB
FIFO size : 12582912 = 12288 KB
Encoding speed : 620x (46467 sectors/s) for libedc from Heiko Eißfeldt
Speed set to 2822 KB/s
Track 01: data 699 MB
Total size: 672 MB (66:36.76) = 299757 sectors
Lout start: 672 MB (66:38/57) = 299757 sectors
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 5
  Is not unrestricted
  Is not erasable
  Disk sub type: Medium Type B, low Beta category (B-) (4)
  ATIP start of lead in: -11607 (97:27/18)
  ATIP start of lead out: 359849 (79:59/74)
Disk type: Short strategy type (Phthalocyanine or similar)
Manuf. index: 18
Manufacturer: Plasmon Data systems Ltd.
Blocks total: 359849 Blocks current: 359849 Blocks remaining: 60092
Starting to write CD/DVD at speed 16.0 in real RAW/RAW96R mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
/usr/X11R6/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11607 from ATIP
Writing lead-in at sector -11607
Lead-in write time: 15.972s
Writing pregap for track 1 at -150
Starting new track at sector: 0
Track 01: 0 of 699 MB written.
Track 01: 1 of 699 MB written (fifo 100%) [buf 91%]...

glepore70 (greg-rhobard) wrote :

Copying my post from bug #178808, which is probably a duplicate:

OK, I tried the fixes mentioned at:
http://linux-ata.org/faq.html#combined
1. My bios (ASUS M2N4-SLI, v. 0909) didn't allow changing BIOS mode.
2. Appending combined_mode=libata booted, but I had no mouse or keyboard (both USB)
3. Appending combined_mode=ide worked! It booted, mouse and keyboard worked, and I was able to burn CDs at full speed. SUCCESS.

This entire bug cost me about 10 coasters; most of my frustration stems from the fact that burning CDs at full speed worked for more than 2 years, then stopped. Adding kernel parameters is not for the newbie, the problem exists elsewhere and should be fixed elsewhere. Adding the kernel parameter should be viewed as a workaround, so the bug should probably not be closed, just re-pointed to wodim or wherever the bug actually lives.

Adam Niedling (krychek) wrote :

I'm using Gutsy and I get the same "wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/hdc'" error.
I'm attaching the complete log file.

Confirmed on Kubuntu 7.10 64-bit using k3b, computer model: Asus V1S. I haven't tried lowering the speed yet, as I am out of coasters :-/

Adam Niedling (krychek) wrote :

René: Just one though: do you have 2 or more cd/dvd drives in your machine?

Adam: I only have on dvd recorder in my machine.

2008/4/2, Adam Niedling <email address hidden>:
>
> René: Just one though: do you have 2 or more cd/dvd drives in your
> machine?
>
>
> --
> I can't write a cd
> https://bugs.launchpad.net/bugs/149076
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Adam: I only have one dvd recorder in my machine.

I still cannot write a cd even though I select the lowest burn speed, 10x. I can choose between 10x, 16x, 24x.

Adna rim (adnarim) wrote :

confirmed on hardy

Changed in k3b:
status: New → Confirmed
Jonas Häggqvist (rasher) wrote :

I'm seeing the exact same symptoms and error-message (Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error) on Hardy, using wodim. This was while writing a dvd, with speed=2.

Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 02 6E 4D 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 72 0B 00 00 00 00 00 0E 09 0C 00 00 00 02 00 00
Sense Key: 0x0 No Additional Sense, Segment 11
Sense Code: 0x00 Qual 0x02 (end-of-partition/medium detected) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 50.679s timeout 40s
write track data: error after 326264832 bytes
wodim: A write error occured.

FireMan300 (jbade85) wrote :

I hope to see some progress on this issue soon as it seems to be a fairly common issue. There a lot of duplicate bugs out there describing basically the same thing "/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/scd0'" perhaps the description should be changed to something reflecting this? "I can't write a cd" is pretty generic and not particularly helpful for identifying this bug accurately.

I have two drives on my system a cdrw and a dvdrw, I can burn cd's just fine with the cdrw only, the dvdrw can erase but not burn an iso. Attached is a copy of the debugging output from my system after a failed burn.

I am still seeing this error on Kubuntu 8.04. K3b writes "Writing successfully completed", but the verify task fails with "Written data in track 1 differs from original". The md5sum's is indeed different. I chose the slowest burn speed available: 10x.

I still get this in the log:
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/scd0'

I really think this bug is embarrassing for Kubuntu.

cosmix (cosm7x) wrote :
Download full text (5.4 KiB)

This bug exists on Ubuntu (GNOME) 8.04 too.

Applications using wodim cannot burn any CD-R (multiple brands). The drive is an Optiarc AD5170A (IDE), the kernel is 2.6.24 (default 32bit shipping kernel).

There is no hardware problem with this machine. It works fine with Gutsy or Windows. This seems to be either a kernel or a wodim bug.

Example wodim output while attempting to burn an audio CD (through rhythmbox in this instance):

wodim stderr: wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/scd1'
wodim stderr: devname: '/dev/scd1'
wodim stderr: scsibus: -2 target: -2 lun: -2
wodim stderr: Linux sg driver version: 3.5.27
wodim stderr: Wodim version: 1.1.6
wodim stderr: SCSI buffer size: 64512
wodim stderr: Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
wodim stdout: TOC Type: 0 = CD-DA
wodim stderr: communication breaks or freezes immediately after that.
wodim stdout: Device type : Removable CD-ROM
wodim stderr: Speed set to 8467 KB/s
wodim stdout: Version : 5
wodim stdout: Response Format: 2
wodim stdout: Capabilities :
wodim stdout: Vendor_info : 'Optiarc '
wodim stdout: Identification : 'DVD RW AD-5170A '
wodim stdout: Revision : '1.11'
wodim stdout: Device seems to be: Generic mmc2 DVD-R/DVD-RW.
wodim stdout: Current: 0x0009 (CD-R)
wodim stdout: Profile: 0x002B (DVD+R/DL)
wodim stdout: Profile: 0x001B (DVD+R)
wodim stdout: Profile: 0x001A (DVD+RW)
wodim stdout: Profile: 0x0016 (DVD-R/DL layer jump recording)
wodim stdout: Profile: 0x0015 (DVD-R/DL sequential recording)
wodim stdout: Profile: 0x0014 (DVD-RW sequential recording)
wodim stdout: Profile: 0x0013 (DVD-RW restricted overwrite)
wodim stdout: Profile: 0x0011 (DVD-R sequential recording)
wodim stdout: Profile: 0x0010 (DVD-ROM)
wodim stdout: Profile: 0x000A (CD-RW)
wodim stdout: Profile: 0x0009 (CD-R) (current)
wodim stdout: Profile: 0x0008 (CD-ROM) (current)
wodim stdout: Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
wodim stdout: Driver flags : MMC-3 SWABAUDIO BURNFREE
wodim stdout: Supported modes: TAO PACKET SAO SAO/R96R RAW/R96R
wodim stdout: Drive buf size : 890880 = 870 KB
wodim stdout: FIFO size : 16777216 = 16384 KB
wodim stdout: Track 01: audio 46 MB (04:34.54) no preemp pad copy
wodim stdout: Track 02: audio 73 MB (07:17.60) no preemp pad copy
wodim stdout: Track 03: audio 44 MB (04:26.89) no preemp pad copy
wodim stdout: Track 04: audio 85 MB (08:26.82) no preemp pad copy
wodim stdout: Track 05: audio 64 MB (06:20.60) no preemp pad copy
wodim stdout: Track 06: audio 44 MB (04:22.40) no preemp copy
wodim stdout: Track 07: audio 63 MB (06:16.24) no preemp pad copy
wodim stdout: Total size: 421 MB (41:45.17) = 187888 sectors
wodim stdout: Lout start: 421 MB (41:47/13) = 187888 sectors
wodim stdout: Current Secsize: 2048
wodim stdout: ATIP info from disk:
wodim stdout: Indicated writing power: 5
wodim stdout: Is not unrestricted
wodim stdout: Is not erasable
wodim stdout: Disk sub type: Medium Type B, low Beta category (B-) (4)
wodim stdout: ATIP start of lead in: -11933 (97:22/67)
wodim stdout: ATIP start of lead ou...

Read more...

cosmix (cosm7x) wrote :

Forgot to mention: the above produces a 'coaster'.

Tom Zimmermann (artist56) wrote :

using gutsy and having the same problem, here the K3b log

System
-----------------------
K3b Version: 1.0.4

KDE Version: 3.5.8
QT Version: 3.3.7
Kernel: 2.6.22-14-generic
Devices
-----------------------
HL-DT-ST DVD-RAM GSA-H55L 1.02 (/dev/hdc, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL] [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite, Layer Jump]

HL-DT-ST DVDRAM GSA-H10A JL04 (/dev/hdd, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL] [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite, Layer Jump]
Used versions
-----------------------
cdrecord: 1.1.6

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 0
Response Format: 2
Capabilities :
Vendor_info : 'HL-DT-ST'
Identification : 'DVDRAM GSA-H10A '
Revision : 'JL04'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0009 (CD-R)
Profile: 0x0012 (DVD-RAM)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0015 (DVD-R/DL sequential recording)
Profile: 0x0016 (DVD-R/DL layer jump recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x001A (DVD+RW)
Profile: 0x001B (DVD+R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x0010 (DVD-ROM)
Profile: 0x0009 (CD-R) (current)
Profile: 0x000A (CD-RW)
Profile: 0x0008 (CD-ROM)
Profile: 0x0002 (Removable disk)
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 1053696 = 1029 KB
Drive DMA Speed: 14336 kB/s 81x CD 10x DVD
FIFO size : 12582912 = 12288 KB
/usr/bin/wodim: No such file or directory. Cannot open FILE '/home/tom/Desktop/Tag der Freiheit - Unsere Wehrmacht 1935/PK_FREIHEIT_SVCD.part1/IMAGE.BIN'.

cdrecord command:
-----------------------
/usr/bin/wodim -v gracetime=2 dev=/dev/hdd speed=48 -dao driveropts=burnfree cuefile=/home/tom/Desktop/Tag der Freiheit - Unsere Wehrmacht 1935/PK_FREIHEIT_SVCD.part1/image.cue -eject

lowering speed, chown etc, did not work neither... having 2 dvd burners in my pc.

2 comments hidden view all 118 comments
jhansonxi (jhansonxi) wrote :

Package should be set to cdrkit.

iMil (imil) wrote :

Same problem in 8.04. combined_mode=ide did the trick.

Toma (tomhaste) wrote :

Confirmed. Its in Hardy too.
This is from Gnomebaker

wodim: No write mode specified.
wodim: Asuming -tao mode.
wodim: Future versions of wodim may have different drive dependent defaults.
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/sr1'
devname: '/dev/sr1'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.6
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 0 = CD-DA
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'HL-DT-ST'
Identification : 'DVDRAM GSA-4081B'
Revision : 'A100'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0000 (Reserved/Unknown)
Profile: 0x0012 (DVD-RAM)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x001A (DVD+RW)
Profile: 0x001B (DVD+R)
Profile: 0x0010 (DVD-ROM)
Profile: 0x0009 (CD-R)
Profile: 0x000A (CD-RW)
Profile: 0x0008 (CD-ROM)
Profile: 0x0002 (Removable disk)
Using generic SCSI-3/mmc CD-R/CD-RW driver (mmc_cdr).
Driver flags : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Drive buf size : 2097152 = 2048 KB
Drive DMA Speed: 11602 kB/s 65x CD 8x DVD
FIFO size : 12582912 = 12288 KB
7wodim: CD/DVD-Recorder not ready.
3 sectors

Changed in cdrdao:
status: New → Confirmed

I have the same/similar problem and I DO have 2 drives (the second/slave one is my CD writable one).

I had a similar problem in Gutsy but upon freshly installing Hardy I could burn iso's easily. The problem seems to have happened after an update.

RLIMIT_MEMLOCK...is that part of the problem? What does it mean?

My wodim output:

wodim: No write mode specified.
wodim: Asuming -tao mode.
wodim: Future versions of wodim may have different drive dependent defaults.
wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.Device was not specified. Trying to find an appropriate drive...
Looking for a CD-R drive to store 690.88 MiB...
Using drive: /dev/scd0
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'IDE-DVD '
Identification : 'ROM 16x '
Revision : 'HD08'
Device seems to be: Generic mmc2 DVD-ROM.
wodim: Sorry, no CD/DVD-Recorder or unsupported CD/DVD-Recorder found on this target.

My post in UF:

http://ubuntuforums.org/showthread.php?p=5365766#post5365766

All I know is that this issue hasn't been solved and I haven't been able
to burn a CD since early Gutsy. I've been using ZenWalk on my laptop
and am thinking about migrating to it on everything but my servers.

MacKinnon wrote:
> I have the same/similar problem and I DO have 2 drives (the second/slave
> one is my CD writable one).
>
> I had a similar problem in Gutsy but upon freshly installing Hardy I
> could burn iso's easily. The problem seems to have happened after an
> update.
>
> RLIMIT_MEMLOCK...is that part of the problem? What does it mean?
>
> My wodim output:
>
> wodim: No write mode specified.
> wodim: Asuming -tao mode.
> wodim: Future versions of wodim may have different drive dependent defaults.
> wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.Device was not specified. Trying to find an appropriate drive...
> Looking for a CD-R drive to store 690.88 MiB...
> Using drive: /dev/scd0
> Device type : Removable CD-ROM
> Version : 5
> Response Format: 2
> Capabilities :
> Vendor_info : 'IDE-DVD '
> Identification : 'ROM 16x '
> Revision : 'HD08'
> Device seems to be: Generic mmc2 DVD-ROM.
> wodim: Sorry, no CD/DVD-Recorder or unsupported CD/DVD-Recorder found on this target.
>
> My post in UF:
>
> http://ubuntuforums.org/showthread.php?p=5365766#post5365766
>
>

I've had as problem for me since early Gutsy. I'm so sick of it that
I'm considering going back to FreeBSD.

Johannes Hessellund wrote:

> This bug just appeared for me today!
>
> I dont burn cd's often. Last time I burned a cd was 2 weeks ago. Today i
> wasn't able to burn either audio or data cd's. Tried Brasero,
> Gnomebaker, Serpentine, Nautilus-cd-burner.
>
> Any of the resent updates causing this? I'm not really sure what has
> been updated the last 2 weeks, but I guess the kernel was updated.
>
>

Johannes Hessellund (osos) wrote :

This bug just appeared for me today!

I dont burn cd's often. Last time I burned a cd was 2 weeks ago. Today i wasn't able to burn either audio or data cd's. Tried Brasero, Gnomebaker, Serpentine, Nautilus-cd-burner.

Any of the resent updates causing this? I'm not really sure what has been updated the last 2 weeks, but I guess the kernel was updated.

Johannes Hessellund (osos) wrote :

Another observation...

Simulation finishes succesfully on brasero, but burning fails.
Log file shows the RLIMIT_MEMLOCK error also present when simulating, but doesn't stop the simulation.

The real burning dies with the OPC failing.
  Performing OPC...
  /usr/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11231 from ATIP
  Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error

I gave up trying a long time ago. It's useless trying until someone
fixes wodim.

Johannes Hessellund wrote:
> Another observation...
>
> Simulation finishes succesfully on brasero, but burning fails.
> Log file shows the RLIMIT_MEMLOCK error also present when simulating, but doesn't stop the simulation.
>
> The real burning dies with the OPC failing.
> Performing OPC...
> /usr/bin/wodim: WARNING: Drive returns wrong startsec (0) using -11231 from ATIP
> Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
>
>

Tom Zimmermann (artist56) wrote :

since an update und using Brasero, I did burn a couple of cd without
problem.
on another machine I had the same problem but I exchanged 1 drive to a
cd burner and now it works there too.
It is about time, they come up with a software solution.

odin schrieb:
> I've had as problem for me since early Gutsy. I'm so sick of it that
> I'm considering going back to FreeBSD.
>
> Johannes Hessellund wrote:
>
>
>> This bug just appeared for me today!
>>
>> I dont burn cd's often. Last time I burned a cd was 2 weeks ago. Today i
>> wasn't able to burn either audio or data cd's. Tried Brasero,
>> Gnomebaker, Serpentine, Nautilus-cd-burner.
>>
>> Any of the resent updates causing this? I'm not really sure what has
>> been updated the last 2 weeks, but I guess the kernel was updated.
>>
>>
>>
>
>

--

join sendspace and give and get points:
http://www.sendspace.com/invite/15lmzx

my own yahoo group: <email address hidden>

This is a Private email & is thus covered by Title 18, Part 1,
Chapter 47, Sec. 1030 U.S.C .. Section 107, any copyrighted
work in this message is distributed under fair use without profit
or payment to those who have expressed a prior interest in
receiving the included information for non-profit research &
educational or criticism purposes only.
++++++++++++++++++++++++++++++++++++++
Video, Picture and/or Audio content of this post originated from
the Internet and is assumed to be public domain.

once you stop learning, you stop living !
my homepage: http://gayartist.chapso.de
or http://pozitive.npage.de/

opc (olaf-courtney) wrote :
Download full text (4.5 KiB)

Regarding K3B error: "Cdrecord has no permission to open the device."

Hello,

Perhaps my experience can provide some clues to the development team. K3B was working beautifully until this week. The difference between this week and last week is that I installed a bunch of extra stuff to be able to convert an AVI to an MP4 to load on a friend's Ipod. I added the Medibuntu repositories and installed GPAC, FFMPEG and reinstalled some codecs (w32codecs or something like that). I got errors identical to those described in the posts above. So, in my mind, there is a direct correlation between the extra software I installed and this bug.

I tried a number of things that are within my scope of competency (which is not very large, mind you). I finally was able to successfully burn a CD after purging and reinstalling K3b. What is strange is the burning process was able to get a bit closer to completion after every change.

Here are the details of the things I have tried.

1. Changed permissions for wodim

 sudo chmod 777 /usr/bin/wodim

RESULT: This did not improve the situation. Error was produced after completing 78% of burn process.
(error log file 1)

2. Reinstalled the software

I reinstalled the medibuntu-keyring...
  sudo apt-get update && sudo apt-get install medibuntu-keyring
...made sure everything was up-to-date...
 sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y dist-upgrade
...and finally reinstalled cdrecord
 sudo apt-get install --reinstall cdrecord

Tried burning audio CD with DAO and 4x speed selected.

RESULT: The process got a bit further (81% complete) before getting the error.
(error log file 2)

3. Removed and reinstalled cdrecord without the medibuntu repository

 sudo apt-get remove cdrecord

Both k3b an wodim were removed. Then edited sources.list...

 sudo vi /etc/apt/sources.list

...made the following changes:

 #deb http://packages.medibuntu.org/ hardy free non-free
 #deb-src http://packages.medibuntu.org/ hardy free non-free

...and reinstalled k3b and wodim

RESULT: Get same error as above, but now reached 87% before getting error. Some improvement?
(error log 3)

4. Installed a few more packages

When reinstalling k3b and wodim, some packages were recommended, so I installed some of these. I installed k3b-i18n, libk3b2-extracodecs, toolame.

I restarted KDE (ctrl-alt-backspace), tried again with TAO and 4x speed. Took a long time performing the Optimum Power Calibration. Error message: "OPC failed. Probably the writer does not like the medium". This is a new one. Tried again, this time DAO. Power calibration was performed quickly. What is SAO?

RESULT: Get same error as above, but this time reached 90% completion before error. There is definitely a trend!

5. Purged k3b
 sudo apt-get purge k3b
This removed k3b* and k3b-i18n*. Then did a bit of house cleaning...
 sudo apt-get clean && sudo apt-get autoclean && sudo apt-get autoremove
...reinstalled k3b...
 sudo apt-get update && sudo apt-get install -y k3b
...and rebooted the machine for good measure. Noticed that the K3b version and wodim features are unchanged.

Started buring process with DAO and 4x.

RESULT: It worked!

I typica...

Read more...

Johannes Hessellund (osos) wrote :

I just did a fresh 8.04.1 install. I dont use kde or k3b for that matter.

Brasero and nautilus failed on fresh install. No medibuntu packages were installed.

Any devs working on this?

Johannes Hessellund (osos) wrote :

Its not k3b, but the backend. Wodim!

That's what I've been saying for over a year.

Johannes Hessellund wrote:
> Its not k3b, but the backend. Wodim!
>
> ** Changed in: cdrkit (Ubuntu)
> Sourcepackagename: k3b => cdrkit
>
>

IgnorantGuru (ignorantguru) wrote :

My suggestion: change broken fork wodim to the original cdrtools... here is what worked for me. Use at your own risk.

Replacing wodim with the genuine cdrtools (tested on Kubuntu hardy)

The issue:
http://cdrecord.berlios.de/private/linux-dist.html

"If you are not running the original software, get recent original software from the "Download recent" or from the "Download latest" location. Unpack, compile by running "make" and install. Make sure that all programs that send (SCSI) commands to CD/DVD/Blu-Ray drives are installed to be suid root.

If you are running cdrtools frontends like k3b and others and do not like to replace these programs with original versions, you should remove files like /usr/bin/wodim, /usr/bin/genisoimage, /usr/bin/icedax, /usr/bin/readom and replace them by links to the original software."

Download latest cdrtools from http://cdrecord.berlios.de/private/linux-dist.html
Unpack
CD to the directory cdrtools is in.
sudo make
sudo make install
sudo make clean

Files are installed to /opt/schily
(you may want to change their ownership to root:root)

Move the following files (some will be links) from /usr/bin to a junk folder...
cdrecord
genisoimage
mkisofs
readom
wodim

Create links:
/usr/bin/cdrecord --> /opt/schily/bin/cdrecord
/usr/bin/genisoimage --> /opt/schily/bin/mkisofs
/usr/bin/mkisofs --> /opt/schily/bin/mkisofs
/usr/bin/readom --> /opt/schily/bin/readcd (correct?)
/usr/bin/wodim --> /opt/schily/bin/cdrecord
/usr/bin/readcd --> /opt/schily/bin/readcd
/usr/bin/mkhybrid --> /opt/schily/bin/mkhybrid
/usr/bin/cdda2wav --> /opt/schily/bin/cdda2wav

Related Links:
http://ge.ubuntuforums.com/showthrea...86#post5216386
https://bugs.launchpad.net/ubuntu/+s...3b/+bug/149076
https://bugs.launchpad.net/ubuntu/+s...it/+bug/226650
http://ubuntuforums.org/showthread.php?p=5552123

LindseyD. (ai279) wrote :

I've just posted a different workaround using Wine and ImgBurn, which (for me, anyway) was a lot less fussy:
http://ubuntuforums.org/showthread.php?t=884700

IgnorantGuru (ignorantguru) wrote :

Also FWIW, I've been speaking with the maintainer of libburnia and xfburn, and he says libburn and cdrskin are replacements for wodim and cdrecord and are built on a fresh codebase. He wrote: "Cdrskin can replace cdrecord (even for k3b, just make a symlink from cdrecord -> cdrskin) [or really from wodim to cdrskin]. If it isn't a hardware error, it really should work as it's a fresh codebase. You can grab libburn tarball (which includes cdrskin) from http://libburnia-project.org "

I also notice the Ubuntu repos have the older version 0.4.2-1 of libburn and cdrskin.

My method above for replacing wodim with cdrecord seemed to work, but I am still unable to burn. After trying an old installation of feisty that I know used to burn ok, I'm convinced I have a bad drive. Yet for some reason I'm getting the same errors as reported in this bug - the error reporting seems very non-informative.

I'm interested to know anyone's results with libburn. Also, the maintainer said he is willing to help people with any problems.

Changed in k3b:
status: New → Invalid
38 comments hidden view all 118 comments
Derek (bugs-m8y) wrote :

Regarding comment #77 - whether or not the kernel was involved in this I think it is clear for many people on this bug, including me, that getting rid of wodim and restoring cdrecord solved their problem. Whether this is because wodim is poorly supporting new kernel changes or simply cdrecord is better written/maintained, or just some other mysterious factor I'm unaware of, I'm still advocating ditching wodim.

If it doesn't work for everyone here, shame, perhaps a number of issues are leading people to this bug. But anyway, WFM. :)

Here's another call for Ubuntu ditching wodim.

I have to agree with Derek. After trying all sugestions (except that one about medibuntu which is nonsense) along this bug comments and destroying dozens of cds, the only one that worked was getting rid of wodim and restoring cdrecord.
- Notebook HP DV 2240BR
- Kubuntu 8.04
- K3b Version: 1.0.4

KDE Version: 3.5.10
QT Version: 3.3.8b
Kernel: 2.6.24-24-generic
Devices
-----------------------
MATSHITA DVD-RAM UJ-850S 1.05 (/dev/scd0, ) [CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL, DVD+R, DVD+RW, DVD+R DL] [DVD-ROM, DVD-R Seqüencial, DVD-R de Dupla Camada Seqüencial, DVD-R de Dupla Camada com Salto, DVD-RAM, DVD-RW em Sobrescrita Restrita, DVD-RW Seqüencial, DVD+RW, DVD+R, DVD+R de Dupla Camada, CD-ROM, CD-R, CD-RW] [SAO, TAO, Sobrescrita Restrita, Salto da Camada]

What surprises me is that people behind Debian and Ubuntu are starting to act just like micro$oft. They decide what you have to install and use without any convincent or explicit reason... shame!

Schily (schilling-fokus) wrote :

Some notes to the report that has been made with the original cdrecord.
While the OP did make a report that had a problem caused by wodim, the
problem posted with cdrecord is different.

I would asume that the problem with cdrecord was caused by "hald" that
interrupts CD writing make in -sao/-dao mode because hald contains a design
bug for detecting a media change.

The problem will therefore most likely go away if you use -raw96r instead of -dao or -sao
mode.

Conor (ronocdh) wrote :

I moved to Karmic beta. Run I type "k3b" into the KDE run dialog (alt+F2), there are two options: "k3b" and "k3bsetup". I ran the setup and it asked for authentication to set up the correct permissions on all my optical drives. Essentially, the only change it made was move everything to user and cdrom groups, then 666 instead of 777 chmod.

After applying those changes, I ran k3b and attempted a burn. It worked flawlessly. I even told it to verify the burn and the verification was successful.

My other machine, still on Jaunty, is still not working.

I've attached the debugging output for the successful burn, just for the record.

Conor (ronocdh) wrote :

I thought it relevant to point out that after the first burn, the permissions of the drive used (in this case, /dev/sr1) changed without any deliberate command from me.

Prior to burning:

ragnarok@Stirling:~$ ls -l /dev/sr*
brw-rw-rw-+ 1 ragnarok cdrom 11, 0 2009-10-13 10:49 /dev/sr0
brw-rw-rw-+ 1 ragnarok cdrom 11, 1 2009-10-13 10:49 /dev/sr1

Then, after the burn:

ragnarok@Stirling:~$ ls -l /dev/sr*
brw-rw-rw-+ 1 ragnarok cdrom 11, 0 2009-10-13 10:49 /dev/sr0
brw-rw----+ 1 root cdrom 11, 1 2009-10-13 10:49 /dev/sr1

I tested yet again by burning another CD, without rerunning the k3bsetup program, and the burn was still successful.

Schily (schilling-fokus) wrote :

If the owner/permissionms change while writing, this may be a hint
that the problem is caused by the well known non-cooperative behavior
from "hald" that interrupts the write process on Linux. Hald implements
in incorrect method for detecting a media change on Linux and in turn
tries to read from the partial written media whie the write process is not
finished.

If you like to verify this, you could use the original cdrecord and write
the cd in -raw96r mode (which makes the write process invisible for hald).

The original software is here:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

http://cdrecord.berlios.de/

Conor (ronocdh) wrote :

Thank you, Schily. That's excellent advice.

This might not be the proper place to discuss this, but I'd thought that Karmic dropped hald for a lot of things. From the technical overview (http://www.ubuntu.com/testing/karmic/beta#hal%20deprecation)

hal deprecation

Ubuntu 9.10 Beta's underlying technology for power management, laptop hotkeys, and handling of storage devices and cameras maps has moved from "hal" (which is in the process of being deprecated) to "DeviceKit-power", "DeviceKit-disks" and "udev". When testing Ubuntu 9.10 Beta, please be alert for regressions in those areas and report any bugs you find.

I assume your advice is still excellent, but it's very curious to me that hald would misbehave like this and only just be replaced.

Did you conduct your tests with the same brand of CD-R while writing to them under different permission/ownership? If you google for "MATSHITA" and "verbatim" then you get many results about burning failures in windows and mac os too.

@Schily
using cdrecord with -raw96r works for me, it seems as if you have diagnosed the problem correctly

Schily (schilling-fokus) wrote :
Download full text (3.1 KiB)

Thank you for verifying that hald still is a major problem.

You could reduce the problems that appearh while writing by opening the
 devices with O_EXCL but this does not fix all problems with hald and please
note that cdrecord calls libscg for the SCSI command transport. The same library
is used by many other programs with different constraints. Cdda2wav will e.g.
 be unable to do audio extraction with many CDs in case libscg did open the devices
with O_EXCL.

Also note that there is a general conceptional problem in Linux that is a result from
the fact that you may have more than one device driver for a given device. If you
open one device with O_EXCL, you may still open the other device withour any problems.

Let me add some notes:

As the way hal has been introduced into Linux did cause a lot of trouble:

- Hald was introduced on Linux without contacting the authors of the
        software it influences. This is one reason why hald interrupts the
        CD/DVD/BluRay burning process.

- Hald (on Linux) uses an algorithm for detecting media change conditions
        that is wrong (it hits even when there never was a media change). As
        a result, hald triggers read operations on partially written media
        that is currently written to in "uninteruptable streaming mode".
        This creates coasters. As it caused the Optical Media software to
        see strange SCSI error codes, the users are confused and do not
        easily understand that a related write error was caused by hald.

- It seems that there is no concept for an interface that would allow
        a safe way to write CD/DVD/BluRay media in multi-session or
        multi-border mode.

- It seems that hald is based on OS specific implementation details
        and for this reason would have portability problems in case that
        there would be an interface for optical media software.

What I need is:

- A media change detection system that stays quiet (after some time -
        e.g. after 3 seconds) in case that it detects the insertion of blank
        media. This is implemented on Solaris since 1992.

- A system that can be told that there is new content without a media
        change (write process finished) and mounting or multi-media playing
        is possible.

- A working way to claim exclusive access to a drive that still allows
        to send e.g. TEST UNIT READY and INQUIRY SCSI commands.

- A working way to tell the system to forcibly unmount the media at some
        time in order to allow reliable multi-session operation. Active multi
        media playing software should be shut down from this interface.

- The way the related drive "name" is specified must not be OS platform
        specific.
        Note that most platforms (including several "UNIX" platforms) do not not
        have a UNIX like /dev/* entry for the device and many (including
        Mac OS X) do not even associate a file handle to the interface that
        allows to send SCSI commands. For this reason, /dev/* or file handle
        based interfaces are highly non-port...

Read more...

kidalabama (n-alp) wrote :

i have got same problem. ican't write cdrom with k3b and asus drw2014s1t and ubuntu 8.04.

Kerry Walper (kwalper) wrote :

I use MEPIS Linux. It is debian based. A lot like kubuntu but I like MEPIS better than any other system. Been using MEPIS since 2004. I like KDE.

Recently I had troubles with K3b completing burns, getting the same errors as everyone else. I thought it was possibly a 'lemon' Lg burner... although I have always had great results with Lg.

 I have been building them for four years. MEPIS is installed on them all. Same K3b problem on all 4 computers in the house...I just didn't know as I don't use them all, just two of them, two of the computers I built, one Dell gx150 and an Hp athlon chip.

That's when I googled the error that K3b gave me. That's how I found this site.

i did some more research and found an answer.

Now K3b works again. All I did was choose DAO as an option rather than using AUTO. Some discs will be burnt as SAO but after I used DAO once and now it comes as the default setting. All my discs burn properly now. I can burn cd images or data dvds. No more silver coasters so it's good enough for me. Hope this helps some or all of you guys. Kerry
I found the answer at mepislovers forum where I like to spend time.

Kerry Walper (kwalper) wrote :

One more thing I choose ISO9960 when burning an image or iso.
Just quit using any AUTO settings and the discs will burn ok. Kerry

kelvin (kelvin1) wrote :

After trying #41 and #38 (thanks) and cdrskin I realised that I need to add the current user to the group:

disk:x:6:username
in
/etc/group

hope this helps someone.
Kelvin

Adam Porter (alphapapa) wrote :

I've been using Kubuntu Hardy 8.04 on this laptop for about two years now. I never had any trouble burning CDs with K3b until recently. Sure enough, not using "auto" mode fixes the problem.

Why did this suddenly start happening? There must have been a regression in one of the upgrades somewhere along the way. Let's fix it!

Schily (schilling-fokus) wrote :

If you have problems writing CDs that are a result of a missbehaving hald, it usually
helps to use "cdrecord -v -raw96r ..."

If you write in raw mode, even the drive does not know what's happening and the
wrong algorithm in hald does not get the trigger that is otherwise usually missinterpreted
by hald.

Download full text (5.3 KiB)

Devices
-----------------------
PBDS DS-8A1P CF12 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R dwuwarstwowa, DVD+R, DVD+RW, DVD+R dwuwarstwowa) [DVD-ROM, DVD-R sekwencyjna, DVD-R dwuwarstwowa sekwencyjna, DVD+R dwuwarstwowa, DVD-RAM, DVD-RW w trybie ograniczonego zastępowania, DVD-RW sekwencyjny, DVD+RW, DVD+R, DVD+R dwuwarstwowa, CD-ROM, CD-R, CD-RW] [Sesja naraz (SAO), TAO, RAW, SAO/R96P, SAO/R96R, Surowe/R16, Surowe/R96P, Surowe/R96R, Ograniczone zastępowanie., Przeskok warstwy] [%7]

K3b::IsoImager
-----------------------
mkisofs print size result: 2270691 (4650375168 bytes)

System
-----------------------
K3b Version: 1.68.0
KDE Version: 4.4.1 (KDE 4.4.1)
QT Version: 4.6.2
Kernel: 2.6.31-20-generic

Used versions
-----------------------
mkisofs: 1.1.9
cdrecord: 1.1.9

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.scsidev: '/dev/sr0'
devname: '/dev/sr0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.9
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'PBDS '
Identification : 'DS-8A1P '
Revision : 'CF12'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x001B (DVD+R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x001B (DVD+R) (current)
Profile: 0x001A (DVD+RW)
Profile: 0x0016 (DVD-R/DL layer jump recording)
Profile: 0x0015 (DVD-R/DL sequential recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x0012 (DVD-RAM)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0010 (DVD-ROM)
Profile: 0x000A (CD-RW)
Profile: 0x0009 (CD-R)
Profile: 0x0008 (CD-ROM)
Profile: 0x0002 (Removable disk)
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1029888 = 1005 KB
FIFO size : 12582912 = 12288 KB
Speed set to 11080 KB/s
Track 01: data 4434 MB
Total size: 5093 MB (504:35.88) = 2270691 sectors
Lout start: 5093 MB (504:37/66) = 2270691 sectors
Current Secsize: 2048
HINT: use dvd+rw-mediainfo from dvd+rw-tools for information extraction.
Blocks total: 2295104 Blocks current: 2295104 Blocks remaining: 24413
Starting to write CD/DVD at speed 8.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... Errno: 5 (Input/output error), reserve track scsi sendcmd: no error
CDB: 53 00 00 00 00 00 22 A5 E3 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 03 00 00 00 00 0A 00 00 00 00 73 03 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x73 Qual 0x03 (power calibration area error) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 49.849s timeout 200s
/usr/bin/wodim: Cannot open new session.
input buffer ready.
Writing time: 49.907s
/usr...

Read more...

Nick Jenkins (nickpj) wrote :

At least in some cases, I suspect the errors might reflect an actual hardware problem (e.g. comment 19 from cosmix had a similar error to the one I encountered). I had a "samsung SH-S223" SATA DVD writer (showed up as "TSSTcorp CDDVDW SH-S223F SB00" in wodim), and it could read all media fine, but it repeatably gave an error when burning CDs, such as the one below:
----------------------
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 00 18 B4 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 04 00 00 00 00 0A 00 00 00 00 08 03 00 00
Sense Key: 0x4 Hardware Error, Segment 0
Sense Code: 0x08 Qual 0x03 (logical unit communication crc error (ultra-dma/32)) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.085s timeout 200s
/usr/bin/wodim: A write error occured.
----------------------
I had initially assumed it was related to this bug, but decided to try buying a new DVD drive. Bought the Pioneer DVR-218L SATA DVD writer (as this one apparently did fairly well in a dust test). When replacing the drive, there was quite a lot of dust in the case (removed with compressed air). A CD burn worked straight away no problems with the replacement drive (and all the same Ubuntu 9.10 software). So it seems as is the old drive might have had some dust inside the drive, causing this error. Replacing the drive fixed it. For laptops, obviously it's harder & more expensive to replace the drive, but for a desktop system replacing the drive doesn't cost too much and may solve the problem for some of you. For the remaining software issues, this bug seems to contain a number of different errors, which may or may not be related. E.g. Perhaps there should be separate bugs for each "sense code" error?

Kosolapy (linuxbegin) wrote :

I've corrupted 2 disks with output:

"----------------------
K3b Version: 1.90.0
KDE Version: 4.3.4 (KDE 4.3.4)
QT Version: 4.5.3
Kernel: 2.6.32-4-686

Used versions
-----------------------
mkisofs: 1.1.10
cdrecord: 1.1.10

cdrecord
-----------------------
/usr/bin/wodim: Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
scsidev: '/dev/scd0'
devname: '/dev/scd0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.10
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'Optiarc '
Identification : 'DVD RW AD-7203S '
Revision : '1.06'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x002B (DVD+R/DL)
Profile: 0x002B (DVD+R/DL) (current) ...."

I've set up max locked memory in /etc/security/limits.conf by adding lines:
* hard memlock 512000
* soft memlock 256000
After relogin I've check out limits:

$ ulimit -a
max locked memory (kbytes, -l) 256000

And now the burning process goes fine.

Schily (schilling-fokus) wrote :

This problem is caused by the fact that you are not using the real cdrecord
but a defective fork.

In special, there is absolutely no support for DVD Dual layer media in the fork.

Get the real program:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

http://cdrecord.berlios.de

or as a ubuntu package from:

https://launchpad.net/~brandonsnider/+archive/cdrtools/+packages

Kosolapy (linuxbegin) wrote :

I've registered some failures in writing dvd dl after setting the ulimit "max locked memory" so probably this limit is not the reason of failures.
So I'l try Schily's advice, and may be :
 "This problem is caused by the fact that I am not using the real cdrecord"
10x

Download full text (3.2 KiB)

Same error here. My output:

Devices
-----------------------
PBDS DS-8A1P CF12 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R dwuwarstwowa, DVD+R, DVD+RW, DVD+R dwuwarstwowa) [DVD-ROM, DVD-R sekwencyjna, DVD-R dwuwarstwowa sekwencyjna, DVD+R dwuwarstwowa, DVD-RAM, DVD-RW w trybie ograniczonego zastępowania, DVD-RW sekwencyjny, DVD+RW, DVD+R, DVD+R dwuwarstwowa, CD-ROM, CD-R, CD-RW] [Sesja naraz (SAO), TAO, RAW, SAO/R96P, SAO/R96R, Surowe/R16, Surowe/R96P, Surowe/R96R, Ograniczone zastępowanie., Przeskok warstwy] [%7]

System
-----------------------
K3b Version: 1.91.0
KDE Version: 4.4.2 (KDE 4.4.2)
QT Version: 4.6.2
Kernel: 2.6.32-19-generic

Used versions
-----------------------
cdrecord: 1.1.10

cdrecord
-----------------------
scsidev: '/dev/sr0'
devname: '/dev/sr0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.10
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'PBDS '
Identification : 'DS-8A1P '
Revision : 'CF12'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x001B (DVD+R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x001B (DVD+R) (current)
Profile: 0x001A (DVD+RW)
Profile: 0x0016 (DVD-R/DL layer jump recording)
Profile: 0x0015 (DVD-R/DL sequential recording)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x0012 (DVD-RAM)
Profile: 0x0011 (DVD-R sequential recording)
Profile: 0x0010 (DVD-ROM)
Profile: 0x000A (CD-RW)
Profile: 0x0009 (CD-R)
Profile: 0x0008 (CD-ROM)
Profile: 0x0002 (Removable disk)
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1029888 = 1005 KB
FIFO size : 12582912 = 12288 KB
Speed set to 11080 KB/s
Track 01: data 2591 MB
Total size: 2975 MB (294:47.89) = 1326592 sectors
Lout start: 2975 MB (294:49/67) = 1326592 sectors
Current Secsize: 2048
HINT: use dvd+rw-mediainfo from dvd+rw-tools for information extraction.
Blocks total: 2295104 Blocks current: 2295104 Blocks remaining: 968512
Starting to write CD/DVD at speed 8.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... Errno: 5 (Input/output error), reserve track scsi sendcmd: no error
CDB: 53 00 00 00 00 00 14 3E 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 03 00 00 00 00 0A 00 00 00 00 73 03 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x73 Qual 0x03 (power calibration area error) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 52.625s timeout 200s
/usr/bin/wodim: Cannot open new session.
input buffer ready.
Writing time: 52.681s
/usr/bin/wodim: fifo had 192 puts and 0 gets.
/usr/bin/wodim: fifo was 0 times empty and 0 times full, min fill was 100%.

cdrecord command:
-----------------------
/...

Read more...

Kosolapy (linuxbegin) wrote :

It seems that cdrecord from https://launchpad.net/~brandonsnider/+archive/cdrtools/+packages works better than wodim with DVD-DL disks. Thanks to Schily.

tuharsky (tuharsky) wrote :

I use dao and still cannot burn a CD. I can burn DVD without problem.

GG (pcdoctor01) wrote :
Download full text (3.4 KiB)

I installed the cdrecord from for lucid and I still can't continue a multisession cd.
K3b failed writing multisession project - kubuntu 10.04 with kde 4.4.3

Writing DVD-R in incremental mode
Using wodim 1.1.10
Unmounting medium
Starting incremental sequential writing at 16x speed
cdrecord has no permission to open the device
You may use K3bsetup to solve this problem

Devices
-----------------------
ATAPI DVD A DH20A4P
9P57 (/dev/sr1, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD-R DL,
DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-R Dual Layer
Sequential, DVD-R Dual Layer Jump, DVD-RAM, DVD-RW Restricted
Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM,
CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P,
RAW/R96R, Restricted Overwrite, Layer Jump] [%7]
ATAPI DVD D DH16D2P
HP56 (/dev/sr0, CD-ROM, DVD-ROM) [DVD-ROM, CD-ROM] [None] [%7]
K3b::IsoImager
-----------------------
mkisofs print size
result: 45660 (93511680 bytes)
System
-----------------------
K3b Version: 1.91.0
KDE Version: 4.4.3
(KDE 4.4.3)
QT Version: 4.6.2
Kernel:
2.6.32-22-generic
Used versions
-----------------------
mkisofs: 1.1.10
cdrecord: 1.1.10
cdrecord
-----------------------
/usr/bin/wodim:
Operation not permitted. Warning: Cannot raise RLIMIT_MEMLOCK limits.
scsidev: '/dev/sr1'
devname: '/dev/sr1'
scsibus: -2 target:
-2 lun: -2
Error trying to open
/dev/sr1 exclusively (Device or resource busy)... retrying in 1 second.
=== last message
repeated 4 times. ===
Error trying to open
/dev/sr1 exclusively (Device or resource busy)... giving up.
WARNING: /dev/sr1
seems to be mounted!
/usr/bin/wodim:
Device or resource busy.
Cannot open SCSI
driver!
For possible targets
try 'wodim --devices' or 'wodim -scanbus'.
For possible
transport specifiers try 'wodim dev=help'.
For IDE/ATAPI
devices configuration, see the file README.ATAPI.setup from
the wodim
documentation.
TOC Type: 1 = CD-ROM
Waiting for data on
stdin...
cdrecord command:
-----------------------
/usr/bin/wodim -v
gracetime=2 dev=/dev/sr1 speed=16 -sao driveropts=burnfree -multi
-overburn -waiti -data -tsize=45660s -
mkisofs
-----------------------
Rock Ridge
signatures found
45660
I: -input-charset
not specified, using utf-8 (detected in locale settings)
Rock Ridge
signatures found
mkisofs calculate
size command:
-----------------------
/usr/bin/genisoimage
-cdrecord-params 955616,966544 -prev-session /dev/sr1 -gui
-graft-points -print-size -quiet -volid linux backup -volset -appid K3B
THE CD KREATOR (C) 1998-2010 SEBASTIAN TRUEG AND MICHAL MALEK
-publisher -preparer -sysid LINUX -volset-size 1 -volset-seqno 1 -sort
/tmp/kde-glenise/k3brP1759.tmp -rational-rock -hide-list
/tmp/kde-glenise/k3bNB1759.tmp -joliet -joliet-long -hide-joliet-list
/tmp/kde-glenise/k3bei1759.tmp -no-cache-inodes -full-iso9660-filenames
-iso-level 3 -path-list /tmp/kde-glenise/k3bch1759.tmp
mkisofs command:
-----------------------
/usr/bin/genisoimage
-cdrecord-params 955616,966544 -prev-session /dev/sr1 -gui
-graft-points -volid linux backup -volset -appid K3B THE CD KREATOR (C)
1998-2010 SEBASTIAN TRUEG AND MICHAL MALEK -publisher -preparer -sysid
LINUX -volset-size 1 -volset-seqno 1 -sort
/...

Read more...

Schily (schilling-fokus) wrote :

You are not using cdrecord but a defective fork called "wodim".

wodim is a dead fork from a 5 year old version of cdrecord with
bugs added that never have been in the original.

The device or resource busy message is a result from such a bug.

Note that you also do not use mkisofs but "genisoimage" from the
same "fork". Note that "genisoimage" creates defective ISO filesystem
images.

I recommend to use the original software as there are no known bugs
in the original software and as the original software added many new
features during the past 6 years.

Ronny Cardona (rcart) wrote :

I can confirm the bug in Lucid Linx using Brasero, K3B and cdrecord from CL (without -raw96r). Two days ago had been released Maverik Meerkat and this bug is since 2007 with no fix. I understand (according to Schily) that this is all about "a defective fork called "wodim" " and hope that this not persists in Ubuntu 10.10. (Can someone confirm this please?)

Greetings.

PS: I have corrupted 5 disks! lol.

adlenesifi (adlenesifi) wrote :

Hello,

I have the same problem on Ubuntu 10.10. I have tried K3B, GnomeBaker and Brasero without any success. I get the following debug output from K3B. Could you please help me ? Thanks :

Devices
-----------------------
HL-DT-ST DVD-RW GCA-4080N 0G34 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [TAO, Restricted Overwrite] [%7]

System
-----------------------
K3b Version: 2.0.1
KDE Version: 4.5.1 (KDE 4.5.1)
QT Version: 4.7.0
Kernel: 2.6.35-22-generic

Used versions
-----------------------
cdrecord: 1.1.10

cdrecord
-----------------------
scsidev: '/dev/sr0'
devname: '/dev/sr0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.10
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'HL-DT-ST'
Identification : 'DVD-RW GCA-4080N'
Revision : '0G34'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0011 (DVD-R sequential recording)
Profile: 0x0011 (DVD-R sequential recording) (current)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x001A (DVD+RW)
Profile: 0x001B (DVD+R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x0010 (DVD-ROM)
Profile: 0x0009 (CD-R)
Profile: 0x000A (CD-RW)
Profile: 0x0008 (CD-ROM)
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1114112 = 1088 KB
Drive DMA Speed: 13667 kB/s 77x CD 9x DVD
FIFO size : 12582912 = 12288 KB
Speed set to 11080 KB/s
Track 01: data 195 MB
Total size: 224 MB (22:14.76) = 100107 sectors
Lout start: 224 MB (22:16/57) = 100107 sectors
Current Secsize: 2048
HINT: use dvd+rw-mediainfo from dvd+rw-tools for information extraction.
Blocks total: 2298496 Blocks current: 2298496 Blocks remaining: 2198389
Starting to write CD/DVD at speed 8.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
/usr/bin/wodim: Caught interrupt.
Writing time: 77.116s
/usr/bin/wodim: fifo had 191 puts and 0 gets.
/usr/bin/wodim: fifo was 0 times empty and 0 times full, min fill was 100%.

cdrecord command:
-----------------------
/usr/bin/wodim -v gracetime=2 dev=/dev/sr0 speed=2 -sao driveropts=burnfree -data -tsize=100107s -

Thanks a lot

Adlene

adlenesifi (adlenesifi) wrote :
Download full text (3.7 KiB)

Hello again,

Sorry the previous log was incorrect (i have canceled the burn process). The one I always get is :

Devices
-----------------------
HL-DT-ST DVD-RW GCA-4080N 0G34 (/dev/sr0, CD-R, CD-RW, CD-ROM, DVD-ROM, DVD-R, DVD-RW, DVD+R, DVD+RW, DVD+R DL) [DVD-ROM, DVD-R Sequential, DVD-RW Restricted Overwrite, DVD-RW Sequential, DVD+RW, DVD+R, DVD+R Dual Layer, CD-ROM, CD-R, CD-RW] [SAO, TAO, RAW, SAO/R96P, SAO/R96R, RAW/R16, RAW/R96P, RAW/R96R, Restricted Overwrite] [%7]

System
-----------------------
K3b Version: 2.0.1
KDE Version: 4.5.1 (KDE 4.5.1)
QT Version: 4.7.0
Kernel: 2.6.35-22-generic

Used versions
-----------------------
cdrecord: 1.1.10

cdrecord
-----------------------
scsidev: '/dev/sr0'
devname: '/dev/sr0'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Wodim version: 1.1.10
SCSI buffer size: 64512
Beginning DMA speed test. Set CDR_NODMATEST environment variable if device
communication breaks or freezes immediately after that.
TOC Type: 1 = CD-ROM
Driveropts: 'burnfree'
Device type : Removable CD-ROM
Version : 5
Response Format: 2
Capabilities :
Vendor_info : 'HL-DT-ST'
Identification : 'DVD-RW GCA-4080N'
Revision : '0G34'
Device seems to be: Generic mmc2 DVD-R/DVD-RW.
Current: 0x0011 (DVD-R sequential recording)
Profile: 0x0011 (DVD-R sequential recording) (current)
Profile: 0x0014 (DVD-RW sequential recording)
Profile: 0x0013 (DVD-RW restricted overwrite)
Profile: 0x001A (DVD+RW)
Profile: 0x001B (DVD+R)
Profile: 0x002B (DVD+R/DL)
Profile: 0x0010 (DVD-ROM)
Profile: 0x0009 (CD-R)
Profile: 0x000A (CD-RW)
Profile: 0x0008 (CD-ROM)
Using generic SCSI-3/mmc DVD-R(W) driver (mmc_mdvd).
Driver flags : SWABAUDIO BURNFREE
Supported modes: PACKET SAO
Drive buf size : 1114112 = 1088 KB
Drive DMA Speed: 13610 kB/s 77x CD 9x DVD
FIFO size : 12582912 = 12288 KB
Speed set to 11080 KB/s
Track 01: data 195 MB
Total size: 224 MB (22:14.76) = 100107 sectors
Lout start: 224 MB (22:16/57) = 100107 sectors
Current Secsize: 2048
HINT: use dvd+rw-mediainfo from dvd+rw-tools for information extraction.
Blocks total: 2298496 Blocks current: 2298496 Blocks remaining: 2198389
Starting to write CD/DVD at speed 8.0 in real SAO mode for single session.
Last chance to quit, starting real write in 2 seconds.
   1 seconds.
   0 seconds. Operation starts.
Waiting for reader process to fill input buffer ... input buffer ready.
Performing OPC...
Sending CUE sheet...
Starting new track at sector: 0
Track 01: 0 of 195 MB written.
Errno: 5 (Input/output error), write_g1 scsi sendcmd: no error
CDB: 2A 00 00 00 00 00 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 03 00 00 00 00 10 32 4D 00 0C 0C 00 00 00
Sense Key: 0x3 Medium Error, Segment 0
Sense Code: 0x0C Qual 0x00 (write error) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 27.237s timeout 200s
/usr/bin/wodim: A write error occured.
/usr/bin/wodim: Please properly read the error message above.
Errno: 5 (Input/output error), test unit ready scsi sendcmd: no error
CDB: 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 71 00 03 00 00 00 00 10 32 4D 00 0C 0C 00 00 00
Sense Key: 0x3 Mediu...

Read more...

FireMan300 (jbade85) on 2010-10-20
summary: - I can't write a cd
+ [SOLVED] I can't write a cd
description: updated
FireMan300 (jbade85) on 2010-10-20
affects: cdrdao → pywodim

I've had a similar problem with Brasero where it woudl create coasters out of my blank DVD-R disks on my HL-DT-ST DVD-RAM GH22NS30. Dropping the burn speed to x8 seems to have resolved the problem in 10.10.

Prior to 10.10 it was working fine.

Zeth (adair-boder) wrote :

Can I ask how this is "Solved"? What's the fix? I am having these issues with 10.10 and now 11.04!

summary: - [SOLVED] I can't write a cd
+ I can't write a cd
affects: k3b (Ubuntu) → ubuntu
cgonzalez (cmgonzalez) wrote :

4 years and this is not solved, it's a shame.... i have to install imgburn on wine to burn an iso.

Alexandr (olexandr-dmitriev) wrote :

Hi!
Wodim broke +-20 DVDs for me. Sorry, but this is a crapware.
I have set the suid bit on it, but this did not help. Please see attached devug outputs.

1 comments hidden view all 118 comments
Alexandr (olexandr-dmitriev) wrote :

Sorry, and my system is 12.04 Beta 2...

axel (axel334) wrote :

Kubuntu 12.04 KDE 4.8.4
3.2.0-26-generic-pae #41-Ubuntu SMP Thu Jun 14 16:45:14 UTC 2012 i686 i686 i386 GNU/Linux
ii k3b 2.0.2-3ubuntu4 Sophisticated CD/DVD burning application
ii k3b-data 2.0.2-3ubuntu4 Sophisticated CD/DVD burning application - data files
ii libk3b6 2.0.2-3ubuntu4 KDE CD/DVD burning application library - runtime files
ii libk3b6-extracodecs 2.0.2-3ubuntu4 KDE CD/DVD burning application library - extra decoders

http://pastebin.com/vcNCQNVL

Four year old bug, a disaster.

Svartalf (frank-earlconsult) wrote :

Uh... This seems to be interrelated to how Ubuntu chose to automount the CD/DVD device. Problem occurs in more than just k3b/wodim. AcetoneISO doesn't work right. Other burning programs don't seem to work right. PSXE can't see legitimate PSX discs with this problem. Didn't occur with initial rollout of 12.04- but seems to have been triggered later on somewhere with one of the updates. If you explicitly unmount all mount instances of /dev/sr0 (mine had TWO differing, problematic mounts which explicitly referred to uid/gid) and things work properly for all instances- so long as you don't work with the "automatic" mount of the disc.

Basically, if it's not just a file tool or using the basic /media mount, you're dead in the water with any of it unless you explicitly UNMOUNT it and you need sudo access to do it with.

parq (pablo-romeroquinteros) wrote :

Workaround to solve / pass this bug:

- Go to Preferences / Congiure K3B / Advanced
- Enable "Show advanced GUI elements"
- Accept
- Open the burn dialog
- At right, there is a "Writing app" selector
- Choose "growisofs"
- Burn it!

The next time this selector will be in "auto", but it will use the last selection, which should be "growisofs".

Thanks to Scow - Source: http://www.esdebian.org/foro/39506/k3b-1700-no-graba

Sergey Zolotarev (szx) wrote :

Same problem in Ubuntu 13.10, Brasero works ok

JPTTEST (j-p-t) wrote :

You may add the cdrtools repo mentioned in the first comment by issuing the following command:
sudo add-apt-repository ppa:brandonsnider/cdrtools

be warned, saucy packages are still missing. so this won't work on Ubuntu Saucy 13.10
I manually added
deb http://ppa.launchpad.net/brandonsnider/cdrtools/ubuntu raring main
# deb-src http://ppa.launchpad.net/brandonsnider/cdrtools/ubuntu raring main
to my sources list of saucy.
Installing worked fine, but it did not help much writing CDs. I still get errors, but they might be caused from a bad CDR.

Displaying first 40 and last 40 comments. View all 118 comments or add a comment.